<?php

namespace app\models;

use yii\db\ActiveRecord;

/**
 * Model for lms_enrolled_status
 *
 * @property int    $id
 * @property string $status_name
 */
class EnrolledStatus extends ActiveRecord
{
    public static function tableName(): string
    {
        return '{{%enrolled_status}}';
    }

    public function rules(): array
    {
        return [
            [['status_name'],  'required'],
            [['status_name'],  'string', 'max' => 64],
            [['status_name'],  'trim'],
            [['status_name'],  'unique', 'message' => 'This status name already exists.'],
        ];
    }

    public function attributeLabels(): array
    {
        return [
            'id'          => 'ID',
            'status_name' => 'Status Name',
        ];
    }
}
